﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using System.Data.OleDb;


namespace Abfrageprogramm
{
    public partial class Form1 : Form
    {
        OleDbConnection conn;
        OleDbDataAdapter da;
        DataTable dt;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            conn = new OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0;Data Source=daten.mdb");
            conn.Open();
            toolStripStatusLabel1.Text = conn.ConnectionString;
        }

        private void toolStripButton1_Click(object sender, EventArgs e)
        {
            double von = System.Environment.TickCount;
            string s = textBox1.Text.ToUpper();
            s.Trim();
            if ((s.StartsWith("SELECT") & (s.IndexOf("INTO") < 0)) ||
               (s.StartsWith("TRANSFORM")) || (s.StartsWith("SHAPE"))) //  Auswahlabfrage
            {
                try
                {
                    da = new OleDbDataAdapter(textBox1.Text.Trim(), conn);
                    dt = new DataTable();
                    da.Fill(dt);
                    dataGridView1.DataSource = dt;
                    double bis = System.Environment.TickCount;
                    toolStripStatusLabel1.Text = "Datensätze: " + dt.Rows.Count.ToString() + "   (" + ((bis - von) / 1000).ToString() + " s)";
                }
                catch (Exception ex)
                { 
                    MessageBox.Show(ex.Message); 
                }
            }
            else
            {
                OleDbCommand cmd = new OleDbCommand(textBox1.Text, conn);
                try
                {
                    int i = cmd.ExecuteNonQuery();
                    toolStripStatusLabel1.Text = "Betroffene Datensätze: " + i.ToString();
                    MessageBox.Show("Betroffene Datensätze: " + i.ToString()); 
                }
                catch (Exception ex)
                {
                    MessageBox.Show(ex.Message); 
                }
            }
        }

        private void toolStripButton2_Click(object sender, EventArgs e)
        {
            Close();
        }
    }
}