﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using NordwindDAL;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private string connStr = "Provider=Microsoft.Jet.OLEDB.4.0; Data Source=Nordwind.mdb";

        private CKundenDAL kuDAL = new CKundenDAL();

        // alle Kunden laden
        private void button1_Click(object sender, EventArgs e)
        {
            kuDAL.OpenConnection(connStr);
            dataGridView1.DataSource = kuDAL.GetAllKunden();
            kuDAL.CloseConnection();
        }

        // Kunde einfügen
        private void button2_Click(object sender, EventArgs e)
        {
            CKunde kd = new CKunde { KundenCode = textBox1.Text, Firma = textBox2.Text, Kontaktperson = textBox3.Text, Funktion = textBox4.Text };
            kuDAL.OpenConnection(connStr);
            kuDAL.InsertKunde(kd);
            kuDAL.CloseConnection();
        }

        // Kunde aktualisieren
        private void button3_Click(object sender, EventArgs e)
        {
            CKunde kd = new CKunde { KundenCode = textBox1.Text, Firma = textBox2.Text, Kontaktperson = textBox3.Text, Funktion = textBox4.Text };
            kuDAL.OpenConnection(connStr);
            kuDAL.UpdateKunde(kd);
            kuDAL.CloseConnection();
        }

        // Kunde löschen
        private void button4_Click(object sender, EventArgs e)
        {
            kuDAL.OpenConnection(connStr);
            kuDAL.DeleteKunde(textBox1.Text);
            kuDAL.CloseConnection();
        }

        // Anzeige löschen
        private void button5_Click(object sender, EventArgs e)
        {
            dataGridView1.DataSource = null;
        }


    }
}
