﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // TODO: Diese Codezeile lädt Daten in die Tabelle "nordwindDataSet.Kunden". Sie können sie bei Bedarf verschieben oder entfernen.
            this.kundenTableAdapter.Fill(this.nordwindDataSet.Kunden);
        }
      
        // LINQ-Abfrage
        private void button1_Click(object sender, EventArgs e)
        {
            var kunden =
               from kd in nordwindDataSet.Kunden //.AsEnumerable()
               where kd.KundenCode.StartsWith("D")
               orderby kd.KundenCode
               select kd;

            //DataView dv = kunden.AsDataView();
            //dataGridView2.DataSource = dv;
            // oder:
             dataGridView2.DataSource = kunden.AsDataView();                         
        }      

        // Speichern
        private void button3_Click(object sender, EventArgs e)
        {
            this.kundenTableAdapter.Update(this.nordwindDataSet.Kunden);
        }

    }
}
