using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace BeginEdit_EndEdit
{
	/// <summary>
	/// Zusammendfassende Beschreibung fr Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private System.Windows.Forms.ListBox listBox1;
		private System.Windows.Forms.TextBox textBox1;
		private System.Windows.Forms.Button button2;
		/// <summary>
		/// Erforderliche Designervariable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Erforderlich fr die Windows Form-Designeruntersttzung
			//
			InitializeComponent();

			//
			// TODO: Fgen Sie den Konstruktorcode nach dem Aufruf von InitializeComponent hinzu
			//
		}

		/// <summary>
		/// Die verwendeten Ressourcen bereinigen.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
            this.listBox1 = new System.Windows.Forms.ListBox();
            this.textBox1 = new System.Windows.Forms.TextBox();
            this.button2 = new System.Windows.Forms.Button();
            this.SuspendLayout();
            // 
            // listBox1
            // 
            this.listBox1.Location = new System.Drawing.Point(24, 8);
            this.listBox1.Name = "listBox1";
            this.listBox1.Size = new System.Drawing.Size(328, 56);
            this.listBox1.TabIndex = 1;
            // 
            // textBox1
            // 
            this.textBox1.Location = new System.Drawing.Point(24, 72);
            this.textBox1.Name = "textBox1";
            this.textBox1.Size = new System.Drawing.Size(168, 20);
            this.textBox1.TabIndex = 2;
            this.textBox1.Text = "Mllers Schnapsladen";
            // 
            // button2
            // 
            this.button2.Location = new System.Drawing.Point(256, 72);
            this.button2.Name = "button2";
            this.button2.Size = new System.Drawing.Size(96, 40);
            this.button2.TabIndex = 3;
            this.button2.Text = "Start";
            this.button2.Click += new System.EventHandler(this.button2_Click);
            // 
            // Form1
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(382, 121);
            this.Controls.Add(this.button2);
            this.Controls.Add(this.textBox1);
            this.Controls.Add(this.listBox1);
            this.Name = "Form1";
            this.Text = "Test zu BeginEdit/EndEdit/OnColumnChanged";
            this.Load += new System.EventHandler(this.Form1_Load);
            this.ResumeLayout(false);
            this.PerformLayout();

		}
		#endregion

		/// <summary>
		/// Der Haupteinstiegspunkt fr die Anwendung.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void OnColumnChanged(object sender, DataColumnChangeEventArgs args)
		{
			if (args.Column.ColumnName == "Firma") 
			{ 
				if (args.ProposedValue.ToString() == "")
				{
					listBox1.Items.Add("Name der Firma muss angegeben werden.  Abbruch.");
					args.Row.CancelEdit();
				}
			}
		}   

        private DataRow aRow;

		private void button2_Click(object sender, System.EventArgs e)
		{
			aRow.BeginEdit();     // Ereignisse werden ab hier vorbergehend unterbrochen
			aRow[0] = textBox1.Text;  // wenn Leerstring, dann Fehlermeldung      
			aRow.EndEdit();
			listBox1.Items.Add(aRow[0].ToString() + "  " + aRow.RowState.ToString());       
		}

		private void Form1_Load(object sender, System.EventArgs e)
		{
			DataTable aTable = new DataTable();
			aTable.Columns.Add("Firma", Type.GetType("System.String"));

			aTable.ColumnChanged += new DataColumnChangeEventHandler(OnColumnChanged);

			aRow = aTable.NewRow();
			aRow[0] = "Mllers Schnapsladen";
			aTable.Rows.Add(aRow);
		}
	}
}
