using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ListBox_Detail_Demo
{
    using System.Data.OleDb;

    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private DataView dv = null;
        
        private void Form1_Load(object sender, EventArgs e)
        {
            fillListControl(listBox1);
        //  fillListControl(comboBox1);
        }

        private void fillListControl(ListControl lc)
        {
            OleDbConnection  conn = new OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0; Data Source=Nordwind.mdb;");
            OleDbDataAdapter  da = new OleDbDataAdapter("SELECT * FROM Artikel ORDER BY Artikelname", conn);
            DataTable dt = new DataTable("ArtikelListe");
            da.Fill(dt);
            dv = dt.DefaultView;                              // DataView erzeugen und Standardansicht zuweisen 
            dv.RowFilter = "Einzelpreis < 25";                // Filterkriterium festlegen
            lc.DataSource = dv;                               // ListBox anbinden
            lc.ValueMember = "ArtikelNr";                     // Schlsselspalte
            lc.DisplayMember = "Artikelname";                 // Anzeigespalte
            lc.SelectedValueChanged += new System.EventHandler(listControl_SelectedIndexChanged);
        }

        private void listControl_SelectedIndexChanged(object sender, EventArgs e)
        {
            ListControl lc = (ListControl)sender;
            label1.Text = dv[lc.SelectedIndex].Row[0].ToString();
            label2.Text = dv[lc.SelectedIndex].Row["Artikelname"].ToString();
            label3.Text = dv[lc.SelectedIndex].Row["Liefereinheit"].ToString();
            decimal ep = Convert.ToDecimal(dv[lc.SelectedIndex].Row["Einzelpreis"]);
            label4.Text = ep.ToString("c");
            label5.Text = dv[lc.SelectedIndex].Row["Lagerbestand"].ToString();
        }
    }
}