using System;
using System.Collections.Generic;
using System.Text;

using System.Data;
using System.Data.SqlClient;
using System.IO;


namespace PrepareBLOB
{

    class Program
    {
        static void Main(string[] args)
        {
           string connStr = @"Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|\Northwind.mdf;Integrated Security=True;User Instance=True";
           SqlConnection conn = new SqlConnection(connStr);
	       conn.Open();
           string sqlStr = "UPDATE Employees SET Photo = @Photo WHERE EmployeeID = @EmployeeID";
	       SqlCommand cmd = new SqlCommand(sqlStr, conn);
	       cmd.Parameters.Add("@Photo", SqlDbType.Binary);
	       cmd.Parameters.Add("@EmployeeID", SqlDbType.BigInt);
	       FileStream fs;		// fr Zugriff auf Bilddatei
	       Byte[] arr;			// Byte-Array zum Zwischenspeichern einer Bilddatei
	       string pfad;			// Pfad der Bilddateien 
	       for (int i = 1; i < 10; i++)      // UPDATE nacheinander fr 9 Employees ausfhren
	       {
		       pfad = "EmpID" + i + ".jpg";                	// Bilddateien sind im Anwendungsverzeichnis!
		       fs = new FileStream(pfad, FileMode.Open);     	// Bilddatei ffnen
		       arr = new Byte[fs.Length];              	// Byte-Array passender Lnge erzeugen
		       fs.Read(arr, 0, (int) fs.Length);         	// Dateiinhalt in Byte-Array laden
		       cmd.Parameters["@Photo"].Value = arr;       	// dem ersten Parameter das Byte-Array zuweisen 
		       cmd.Parameters["@EmployeeID"].Value = i;    	// dem zweiten Parameter die ID zuweisen
		       cmd.ExecuteNonQuery();                      	// UPDATE ausfhren
	       }
	       conn.Close();
        }
    }
    
}
