﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using Microsoft.Reporting.WebForms;

public partial class Beispiel_ReportViewer : System.Web.UI.Page
{

    FirmaTableAdapters.MitarbeiterTableAdapter taMitarbeiter = new FirmaTableAdapters.MitarbeiterTableAdapter();
    FirmaTableAdapters.TelefonTableAdapter taTelefone = new FirmaTableAdapters.TelefonTableAdapter();
    Firma myFirma = new Firma();

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            ReportParameter rp = new ReportParameter("Ersteller", TextBox1.Text);
            this.ReportViewer1.LocalReport.SetParameters(new ReportParameter[] { rp });
        }
    }

    protected void Button1_Click(object sender, EventArgs e)
    {
        taMitarbeiter.Fill(myFirma.Mitarbeiter);
        LocalReport report = new LocalReport();
        report.ReportPath = "Report.rdlc";
        ReportParameter rp = new ReportParameter("Ersteller", TextBox1.Text);
        report.SetParameters(new ReportParameter[] { rp });
    //    report.DataSources.Add(new ReportDataSource("Firma_Mitarbeiter", myFirma.Mitarbeiter as DataTable));
        report.DataSources.Add(new ReportDataSource("Firma_Mitarbeiter", ObjectDataSource1));

        // Leider nötig ....
        Byte[] result;
        string encoding;
        string mimetype;
        Warning[] warnings;
        string[] streamids;
        string extension;

        result = report.Render("PDF", "", out mimetype, out encoding, out extension, out streamids, out warnings);
        Response.ClearContent();
//        Response.AppendHeader("content-length", result.Length.ToString());
//        Response.ContentType = "application/pdf";
// oder
        Response.AddHeader("content-disposition", "attachment; filename=mitarbeiter." + extension);
        Response.ContentType = mimetype;
        Response.BinaryWrite(result);
        Response.Flush();
        Response.Close();
    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        taMitarbeiter.Fill(myFirma.Mitarbeiter);
        LocalReport report = new LocalReport();
        report.ReportPath = "Report.rdlc";
        ReportParameter rp = new ReportParameter("Ersteller", TextBox1.Text);
        report.SetParameters(new ReportParameter[] { rp });
        // report.DataSources.Add(new ReportDataSource("Firma_Mitarbeiter", myFirma.Mitarbeiter as DataTable));
        report.DataSources.Add(new ReportDataSource("Firma_Mitarbeiter", ObjectDataSource1));

        // Leider nötig ....
        Byte[] result;
        string encoding;
        string mimetype;
        Warning[] warnings;
        string[] streamids;
        string extension;


        result = report.Render("Excel", null, out mimetype, out encoding, out extension, out streamids, out warnings);

//        result = report.Render("Excel", "", out mimetype, out encoding, out extension, out streamids, out warnings);
        Response.ClearContent();
        Response.AddHeader("content-disposition", "attachment; filename=mitarbeiter." + extension);
        Response.ContentType = mimetype;
        Response.BinaryWrite(result);
        Response.Flush();
        Response.Close();

    }
}
