﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Web.UI.DataVisualization.Charting;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            NORTHWINDModel.NORTHWINDEntities db = new NORTHWINDModel.NORTHWINDEntities();
            var tenprod = db.Ten_Most_Expensive_Products();
            Chart1.ChartAreas.Clear();
            Chart1.Series.Clear();
            Chart1.DataSource = tenprod;

            ChartArea chartArea1 = new ChartArea();
            chartArea1.Name = "ChartArea1";
            chartArea1.Area3DStyle.Enable3D = true;
            chartArea1.Area3DStyle.Inclination = 5;
            chartArea1.Area3DStyle.Rotation = 10;
            chartArea1.AxisX.Interval = 1;
            Chart1.ChartAreas.Add(chartArea1);

            Legend legend1 = new Legend();
            legend1.Name = "Legend1";
            Chart1.Legends.Add(legend1);

            Series series1 = new Series();
            series1.ChartType = SeriesChartType.Bar;
            series1.ChartArea = "ChartArea1";
            series1.Legend = "Legend1";
            series1.Name = "Die teuersten Produkte";

            series1.XValueMember = "TenMostExpensiveProducts";
            series1.YValueMembers = "UnitPrice";
            Chart1.Series.Add(series1);
            Chart1.DataBind();
        }
    }

}