﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Data.OleDb;

using System.Windows.Forms.DataVisualization.Charting;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {

        private string connStr = "PROVIDER=Microsoft.Jet.OLEDB.4.0;Data Source=ChartTest.mdb";
        private string sql = "SELECT * FROM PKW_Verkauf_2";

        public Form1()
        {
            InitializeComponent();

            // --------------------------------------------

            // DataBindCrossTable-Methode:   

            OleDbConnection conn = new OleDbConnection(connStr);
            OleDbCommand cmd = new OleDbCommand(sql, conn);
            cmd.Connection.Open();
            OleDbDataReader dr = cmd.ExecuteReader(CommandBehavior.CloseConnection);

            // alle Tabellenzeilen werden nach der "Name"-Spalte in Serien gruppiert
            // jeder Name eine Serie!         

            chart1.DataBindCrossTable(
                dr,
                "Name",
                "Jahr",
                "Verkaufssumme",
                "Label=Provision{C}");

            dr.Close();
            conn.Close();
        }
        
           

        private void button1_Click(object sender, EventArgs e)
        {
            // Umstellung auf Balkendiagramm:
            foreach (Series ser in chart1.Series)   //hier 3 Namen = 3 Serien!
            {
                ser.ChartType = SeriesChartType.Column;
                ser.Font = new Font("Trebuchet MS", 8, FontStyle.Bold);
            }          
        }

        private void button6_Click(object sender, EventArgs e)
        {
            // Umstellung auf Liniendiagramm:
            foreach (Series ser in chart1.Series)   //hier 3 Namen = 3 Serien!
            {
                ser.BorderWidth = 5;
                ser.ChartType = SeriesChartType.Line;
                ser.Font = new Font("Trebuchet MS", 6, FontStyle.Bold);
            }         
        }

              
    }
}
