﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Windows.Forms.DataVisualization.Charting;

namespace WindowsFormsApplication2
{
    public partial class Form1 : Form
    {
       

        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            var verkäufe = new List<CVerkäufer>();   // anonymer Typ

            verkäufe.Add(new CVerkäufer { Name = "Maxhelm", Mercedes = 12, BMW = 9, Opel = 6, Ford = 10, Mazda = 4, Toyota = 5 });
            verkäufe.Add(new CVerkäufer { Name = "Tobalt", Mercedes = 8, BMW = 8, Opel = 7, Ford = 5, Mazda = 3, Toyota = 9 });
            verkäufe.Add(new CVerkäufer { Name = "Siegbast", Mercedes = 5, BMW = 5, Opel = 8, Ford = 5, Mazda = 3, Toyota = 7 });

            chart1.DataBindTable(verkäufe, "Name");

            foreach (Series ser in chart1.Series)   // 7 Serien
            {
                //ser.BorderWidth = 10;
                ser.ChartType = SeriesChartType.Bubble;
            }
            chart1.Series["Series1"].IsVisibleInLegend = false;   // Legende für Standardserie ausblenden
            
        }
    }

    public class CVerkäufer 
    {
        public string Name { get; set; }
        public int Mercedes { get; set; }
        public int BMW { get; set; }
        public int Opel { get; set; }
        public int Ford { get; set; }
        public int Mazda { get; set; }
        public int Toyota { get; set; }
    }

    
}
