﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Windows.Forms.DataVisualization.Charting;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            chart1.Series[0].Name = "Umsätze Kühlschränke";
            chart1.Series[0].Points.AddXY(2006, 10);
            chart1.Series[0].Points.AddXY(2007, 25);
            chart1.Series[0].Points.AddXY(2008, 75);
            chart1.Series[0].Points.AddXY(2009, 110);
            chart1.Series[0].Points.AddXY(2010, 130);

            chart1.Series[0].BorderWidth = 5;
            chart1.Series[0].ChartType = SeriesChartType.Line;

            chart1.Series.Add("Umsätze Waschmaschinen");
            
            chart1.Series[1].Points.AddXY(2006, 150);
            chart1.Series[1].Points.AddXY(2007, 75);
            chart1.Series[1].Points.AddXY(2008, 25);
            chart1.Series[1].Points.AddXY(2009, 10);
            chart1.Series[1].Points.AddXY(2010, 15);

            chart1.Series[1].BorderWidth = 5;
            chart1.Series[1].ChartType = SeriesChartType.Line;

            button1.Enabled = false;
           
        }

        private void button2_Click(object sender, EventArgs e)
        {
            chart1.Printing.PrintPreview();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            chart1.Printing.Print(true);
        }

        // 3D
        private void button4_Click(object sender, EventArgs e)
        {
            chart1.ChartAreas[0].Area3DStyle.Enable3D = true;
        }

        // 2D
        private void button5_Click(object sender, EventArgs e)
        {
            chart1.ChartAreas[0].Area3DStyle.Enable3D = false;
        }

        // Balkendiagramm
        private void button6_Click(object sender, EventArgs e)
        {

            foreach (Series ser in chart1.Series)   
            {
                ser.ChartType = SeriesChartType.Column;
            }
        }

        // Liniendiagramm
        private void button7_Click(object sender, EventArgs e)
        {

            foreach (Series ser in chart1.Series)   
            {
                ser.ChartType = SeriesChartType.Line;
            }
        }

        // Tortendiagramm
        private void button8_Click(object sender, EventArgs e)
        {

            foreach (Series ser in chart1.Series)   
            {
                ser.ChartType = SeriesChartType.Area;
            }
        }
    }
}
