﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;


using System.Reflection;
using dao = Microsoft.Office.Interop.Access.Dao;

namespace Access2007
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            ADOX.Catalog catalog = new ADOX.Catalog();
            catalog.Create("Provider=Microsoft.ACE.OLEDB.12.0;Data Source=c:\\Acc2007Test.accdb");
        }

        private void button2_Click(object sender, EventArgs e)
        {
            dao.Database db;
            dao.TableDef td;
            dao.Field fld;
            dao.DBEngine dbEn = new dao.DBEngine();


            db = dbEn.OpenDatabase("c:\\Acc2007Test.accdb", null, false, Missing.Value);
            td = db.CreateTableDef("tblNurAnfuegen", Missing.Value, Missing.Value, Missing.Value);

            fld = td.CreateField("Id", dao.DataTypeEnum.dbLong, Missing.Value);
            td.Fields.Append(fld);

            fld = td.CreateField("Bemerkung", dao.DataTypeEnum.dbMemo, Missing.Value);
            td.Fields.Append(fld);
            db.TableDefs.Append(td);
            fld.Properties["AppendOnly"].Value = true;
        }

        private void button3_Click(object sender, EventArgs e)
        {
            dao.Database db;
            dao.TableDef td;
            dao.Field fld;
            dao.DBEngine dbEn = new dao.DBEngine();

            db = dbEn.OpenDatabase("c:\\Acc2007Test.accdb", null, false, Missing.Value);
            td = db.CreateTableDef("tblAnlage", Missing.Value, Missing.Value, Missing.Value);
            fld = td.CreateField("Id", dao.DataTypeEnum.dbLong, Missing.Value);
            td.Fields.Append(fld);
            fld = td.CreateField("Anhang", dao.DataTypeEnum.dbAttachment, Missing.Value);
            td.Fields.Append(fld);
            db.TableDefs.Append(td);
        }

        private void button4_Click(object sender, EventArgs e)
        {
            dao.Database db;
            dao.Recordset rs;
            dao.Recordset2 rsAnl;

            if (openFileDialog1.ShowDialog() == DialogResult.OK)
            {
                dao.DBEngine dbEn = new dao.DBEngine();
                db = dbEn.OpenDatabase("c:\\Acc2007Test.accdb", null, false, Missing.Value);
                rs = db.OpenRecordset("tblAnlage", Missing.Value, Missing.Value, Missing.Value);
                rs.AddNew();
                rsAnl = (rs.Fields["Anhang"].Value as dao.Recordset2);
                rsAnl.AddNew();
                (rsAnl.Fields["FileData"] as dao.Field2).LoadFromFile(openFileDialog1.FileName);
                rsAnl.Update(1, false);
                rs.Update(1, false);
            }
        }

        private void button6_Click(object sender, EventArgs e)
        {
            dao.Database db;
            dao.Recordset rs;

            dao.DBEngine dbEn = new dao.DBEngine();
            db = dbEn.OpenDatabase("c:\\Acc2007Test.accdb", null, false, Missing.Value);
            rs = db.OpenRecordset("tblNurAnfuegen", Missing.Value, Missing.Value, Missing.Value);
            rs.AddNew();
            rs.Fields["Bemerkung"].Value = "Mein erster Text";
            rs.Update(1, false);
            rs.MoveFirst();
            rs.Edit();
            rs.Fields["Bemerkung"].Value = "Mein zweiter Text";
            rs.Update(1, false);
            rs.Edit();
            rs.Fields["Bemerkung"].Value = "Mein dritter Text";
            rs.Update(1, false);
        }

        private void button5_Click(object sender, EventArgs e)
        {
            dao.Database db;
            dao.Recordset rs;
            dao.Recordset2 rsAnl;

            dao.DBEngine dbEn = new dao.DBEngine();
            db = dbEn.OpenDatabase("c:\\Acc2007Test.accdb", null, false, Missing.Value);
            rs = db.OpenRecordset("tblAnlage", Missing.Value, Missing.Value, Missing.Value);

            rsAnl = (rs.Fields["Anhang"].Value as dao.Recordset2);
            listBox1.Items.Clear();
            while (!rsAnl.EOF)
            {
                listBox1.Items.Add(rsAnl.Fields["FileName"].Value);
                listBox1.Items.Add(rsAnl.Fields["FileType"].Value);
                listBox1.Items.Add(rsAnl.Fields["FileData"].Value);
                rsAnl.MoveNext();
            }

        }

        private void button7_Click(object sender, EventArgs e)
        {
            dao.Database db;
            dao.TableDef td;
            dao.Field fld;
            dao.DBEngine dbEn = new dao.DBEngine();
            dao.Property prop;


            db = dbEn.OpenDatabase("c:\\Acc2007Test.accdb", null, false, Missing.Value);
            td = db.CreateTableDef("tblRTF", Missing.Value, Missing.Value, Missing.Value);

            fld = td.CreateField("Id", dao.DataTypeEnum.dbLong, Missing.Value);
            td.Fields.Append(fld);

            fld = td.CreateField("Bemerkung", dao.DataTypeEnum.dbMemo, Missing.Value);
            td.Fields.Append(fld);
            db.TableDefs.Append(td);
            prop = fld.CreateProperty("TextFormat", 2, 1, Missing.Value);
            fld.Properties.Append(prop);
        }
    }
}
