using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Bulkcopy
{
    using System.Data.OleDb;
    using System.Data.SqlClient;

    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        const string CONNSTR_SRC = "Provider=Microsoft.Jet.OLEDB.4.0; Data Source=Nordwind.mdb";
        const string CONNSTR_DEST = @"Data Source=.\SQLEXPRESS; Initial Catalog=Northwind; Integrated Security=True";

        const string SQL_SRC = "SELECT ArtikelNr, Artikelname, Liefereinheit, Einzelpreis, Mindestbestand FROM Artikel";
        const string TBL_DEST = "ProductsBackup";

        private void button1_Click(object sender, EventArgs e)
        {
            // Verbindung zur Quelle:
            OleDbConnection connSrc = new OleDbConnection(CONNSTR_SRC);
            connSrc.Open();
            // Verbindung zum Ziel:
            SqlConnection connDest = new SqlConnection(CONNSTR_DEST);
            connDest.Open();
            
            // Quelldaten bereitstellen:
            OleDbCommand cmdSrc = new OleDbCommand(SQL_SRC, connSrc);
            OleDbDataReader reader = cmdSrc.ExecuteReader();

            // Daten zum SQL Server kopieren:
            SqlBulkCopy blkCop = new SqlBulkCopy(connDest);
            blkCop.DestinationTableName = TBL_DEST;
            blkCop.WriteToServer(reader);

            // Beenden:
            reader.Close();
            connSrc.Close();

            // Daten zur Kontrolle anzeigen:
            System.Data.SqlClient.SqlCommand cmd = new System.Data.SqlClient.SqlCommand("SELECT * FROM ProductsBackup", connDest);
            System.Data.SqlClient.SqlDataAdapter da = new System.Data.SqlClient.SqlDataAdapter(cmd);
            DataSet ds = new DataSet();
            da.Fill(ds, "ArtikelListe");
            connDest.Close();
            dataGridView1.DataSource = ds;
            dataGridView1.DataMember = "ArtikelListe";
                        
            connDest.Close();
        }


    }
}