﻿using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using Microsoft.SqlServer.Server;


[Serializable]
[Microsoft.SqlServer.Server.SqlUserDefinedAggregate(Format.Native)]
public struct Spezialsumme
{
    // Dies ist ein Platzhalter-Memberfeld.
    private SqlDouble _meineSumme;

    public void Init()
    {
        _meineSumme = 0;
    }

    public void Accumulate(SqlDouble Value)
    {
        // Für jeden Datensatz
        _meineSumme += Value;
    }

    public void Merge(Spezialsumme Group)
    {
        // Für paralle Ausführung
        _meineSumme += Group._meineSumme;
    }

    public SqlString Terminate()
    {
        // Alle Datensätze verarbeitet
        return new SqlString(_meineSumme.ToString());
    }


}
