﻿using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using Microsoft.SqlServer.Server;


public partial class StoredProcedures
{
    [Microsoft.SqlServer.Server.SqlProcedure]
    public static void Test_SP2()
    {
        SqlConnection conn = new SqlConnection();
        conn.ConnectionString = "context connection = true";
        conn.Open();
        SqlCommand cmd = new SqlCommand("SELECT * FROM Artikel", conn);
        SqlContext.Pipe.Send(cmd.ExecuteReader());
    }

    [Microsoft.SqlServer.Server.SqlProcedure]
    public static void ZinsesZins(SqlSingle Betrag, SqlInt16 Startjahr, SqlInt16 Laufzeit, SqlSingle Zins)
    {
        SqlPipe p = SqlContext.Pipe;

        SqlDataRecord dr = new SqlDataRecord(new SqlMetaData[] {
                                                 new SqlMetaData("Jahr", SqlDbType.Int),
                                                 new SqlMetaData("Betrag", SqlDbType.Float) });
        p.SendResultsStart(dr);
        int jahr = (int) Startjahr;
        for (int j = 0; j <= (int) Laufzeit; j++)
        {

            dr.SetInt32(0, jahr);
            dr.SetSqlDouble(1, (Double) Betrag * Math.Pow(1 + (Double) Zins / 100, j));
            jahr++;
            p.SendResultsRow(dr);
        }
        p.SendResultsEnd();
    }

};
