﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DMOs
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, System.EventArgs e)
        {
            SQLDMO.SQLServer serv = new SQLDMO.SQLServer();

            serv.LoginSecure = true;
            serv.LoginTimeout = 8;
            serv.Connect(textBox1.Text, "sa", "tom");
            listBox1.Items.Add("Datenbanken auf dem Server");
            listBox1.Items.Add("--------------------------------------------");
            for (int i = 1; i <= serv.Databases.Count; i++)
            {
                listBox1.Items.Add(serv.Databases.Item(i, null).Name);
                listBox1.Items.Add("---------");
                for (int j = 1; j <= serv.Databases.Item(i, null).Tables.Count; j++)
                    if (!serv.Databases.Item(i, null).Tables.Item(j, null).SystemObject)
                        listBox1.Items.Add("     " + serv.Databases.Item(i, null).Tables.Item(j, null).Name);
                listBox1.Items.Add("");
            }
            serv.DisConnect();

        }

        private void button2_Click(object sender, System.EventArgs e)
        {
            SQLDMO.SQLServer serv = new SQLDMO.SQLServer();
            SQLDMO.Database db = new SQLDMO.Database();

            serv.LoginSecure = true;
            serv.LoginTimeout = 8;
            serv.Connect(textBox1.Text, "sa", "");
            db.Name = "Buchhaltung";
            serv.Databases.Add(db);
            serv.DisConnect();
        }

        private void button3_Click(object sender, System.EventArgs e)
        {
            SQLDMO.SQLServer serv = new SQLDMO.SQLServer();
            SQLDMO.Database db = new SQLDMO.Database();

            serv.LoginSecure = true;
            serv.LoginTimeout = 8;
            serv.Connect(textBox1.Text, "sa", "");

            db = (SQLDMO.Database)serv.Databases.Item("Buchhaltung", null);
            listBox1.Items.Clear();
            for (int i = 1; i <= db.Users.Count; i++)
                listBox1.Items.Add(db.Users.Item(i).Name);
            serv.DisConnect();
        }

        private void Button4_Click(object sender, System.EventArgs e)
        {
            SQLDMO.Application app = new SQLDMO.Application();

            listBox1.Items.Clear();
            for (int i = 1; i <= app.ServerGroups.Count; i++)
            {
                listBox1.Items.Add(app.ServerGroups.Item(i).Name);

                for (int j = 1; j <= app.ServerGroups.Item(i).RegisteredServers.Count; j++)
                    listBox1.Items.Add("       Server: " +
                             app.ServerGroups.Item(i).RegisteredServers.Item(j).Name);
            }

        }

        private void button5_Click(object sender, System.EventArgs e)
        {
            SQLDMO.SQLServer serv = new SQLDMO.SQLServer();
            SQLDMO.Database db = new SQLDMO.Database();
            SQLDMO.Table tb = new SQLDMO.Table();

            serv.LoginSecure = true;
            serv.LoginTimeout = 8;
            serv.Connect(textBox1.Text, "sa", "");

            listBox1.Items.Clear();
            for (int i = 1; i <= serv.Databases.Count; i++)
            {
                db = (SQLDMO.Database)serv.Databases.Item(i, null);
                listBox1.Items.Add(db.Name);
                for (int j = 1; j <= db.Tables.Count; j++)
                {
                    tb = (SQLDMO.Table)db.Tables.Item(j, null);
                    listBox1.Items.Add("    > " + tb.Name);
                }
            }
            serv.DisConnect();

        }

        private void button6_Click(object sender, System.EventArgs e)
        {
            SQLDMO.SQLServer serv = new SQLDMO.SQLServer();
            SQLDMO.Database db = new SQLDMO.Database();

            serv.LoginSecure = true;
            serv.LoginTimeout = 8;
            serv.Connect(textBox1.Text, "sa", "");

            db = (SQLDMO.Database)serv.Databases.Item("Mitarbeiter", null);
            db.Tables.Remove("Kunden", null);
            serv.DisConnect();

        }

        private void button7_Click(object sender, System.EventArgs e)
        {

            SQLDMO.SQLServer serv = new SQLDMO.SQLServer();
            SQLDMO.Database db = new SQLDMO.Database();
            SQLDMO.Table tb = new SQLDMO.Table();
            SQLDMO.Column col = new SQLDMO.Column();

            serv.LoginSecure = true;
            serv.LoginTimeout = 8;
            serv.Connect(textBox1.Text, "sa", "");

            col.Name = "Nachnamen";
            col.Datatype = "varchar";
            col.Length = 25;

            tb.Name = "TestTable";
            tb.Columns.Add(col);

            serv.Databases.Item("firmasql", null).Tables.Add(tb);

        }

        private void sqlConnection1_InfoMessage(object sender, System.Data.SqlClient.SqlInfoMessageEventArgs e)
        {
            MessageBox.Show(e.Message);
        }

    }
}