
-- --------------------------------------------------
-- Entity Designer DDL Script for SQL Server 2005, 2008, and Azure
-- --------------------------------------------------
-- Date Created: 08/30/2010 19:37:06
-- Generated from EDMX file: C:\AktuellesBuch\CS 2010 Datenbankprogrammierung\CD\EDM\Kapitel\Kapitelbeispiel\Model1.edmx
-- --------------------------------------------------

SET QUOTED_IDENTIFIER OFF;
GO
USE [testDB1];
GO
IF SCHEMA_ID(N'dbo') IS NULL EXECUTE(N'CREATE SCHEMA [dbo]');
GO

-- --------------------------------------------------
-- Dropping existing FOREIGN KEY constraints
-- --------------------------------------------------


-- --------------------------------------------------
-- Dropping existing tables
-- --------------------------------------------------

IF OBJECT_ID(N'[dbo].[KundenMenge]', 'U') IS NOT NULL
    DROP TABLE [dbo].[KundenMenge];
GO

-- --------------------------------------------------
-- Creating all tables
-- --------------------------------------------------

-- Creating table 'KundenMenge'
CREATE TABLE [dbo].[KundenMenge] (
    [ID] int IDENTITY(1,1) NOT NULL,
    [Vorname] nvarchar(max)  NOT NULL,
    [Nachname] nvarchar(max)  NOT NULL,
    [Adresse_Strasse] nvarchar(max)  NOT NULL,
    [Adresse_PLZ] nvarchar(max)  NOT NULL,
    [Adresse_Ort] nvarchar(max)  NOT NULL
);
GO

-- --------------------------------------------------
-- Creating all PRIMARY KEY constraints
-- --------------------------------------------------

-- Creating primary key on [ID] in table 'KundenMenge'
ALTER TABLE [dbo].[KundenMenge]
ADD CONSTRAINT [PK_KundenMenge]
    PRIMARY KEY CLUSTERED ([ID] ASC);
GO

-- --------------------------------------------------
-- Creating all FOREIGN KEY constraints
-- --------------------------------------------------

-- --------------------------------------------------
-- Script has ended
-- --------------------------------------------------