﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;

[DataContract]
public class KundenRecord
{
    [DataMember]
    public string KuCode;
    [DataMember]
    public string Firma;
    [DataMember]
    public string Kontaktperson;
    [DataMember]
    public string Funktion;
}

[ServiceContract]
public interface INordwindService
{
    //[OperationContract]
    //string test(string s);

    [OperationContract]
    KundenRecord[] AlleKundenLaden();

    [OperationContract]
    void KundeEinfuegen(KundenRecord krec);

    [OperationContract]
    void KundeAktualisieren(KundenRecord krec);
    
    [OperationContract]
    void KundeLoeschen(string kcode);
}

