﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;

using NordwindDAL;
using System.Data;

public class NordwindService : INordwindService
{
   // private const string connStr = @"Data Source=(local)\SQLEXPRESS;AttachDbFilename=c:\Northwind.mdf;Integrated Security=True; User Instance=True";
    private const string connStr = @"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=|DataDirectory|\Nordwind.mdb;Persist Security Info=True";
    
    //public string test(string s)
    //{
    //    CustomersDAL d = new CustomersDAL();
    //    return d.test(s);
    //}

   
    public void KundeEinfuegen(KundenRecord krec)
    {
        CKunde kd = new CKunde();
        kd.KundenCode = krec.KuCode;
        kd.Firma = krec.Firma;
        kd.Kontaktperson = krec.Kontaktperson;
        kd.Funktion = krec.Funktion;
        CKundenDAL dal = new CKundenDAL();
        dal.OpenConnection(connStr);
        dal.InsertKunde(kd);
        dal.CloseConnection();
    }

    public KundenRecord[] AlleKundenLaden()
    {
        CKundenDAL dal = new CKundenDAL();
        dal.OpenConnection(connStr);
        DataTable dt = dal.GetAllKunden();
        dal.CloseConnection();

        List<KundenRecord> records = new List<KundenRecord>();
        DataTableReader reader = dt.CreateDataReader();
        while (reader.Read())
        {
            KundenRecord r = new KundenRecord();
            r.KuCode = (string) reader["KundenCode"];
            r.Firma = ((string) reader["Firma"]);
            r.Kontaktperson = ((string) reader["Kontaktperson"]);
            r.Funktion = ((string) reader["Funktion"]);
            records.Add(r);
        }

        return (KundenRecord[])records.ToArray();
    }

    public void KundeAktualisieren(KundenRecord krec)
    {
        CKunde kd = new CKunde();
        kd.KundenCode = krec.KuCode;
        kd.Firma = krec.Firma;
        kd.Kontaktperson = krec.Kontaktperson;
        kd.Funktion = krec.Funktion;

        CKundenDAL dal = new CKundenDAL();
        dal.OpenConnection(connStr);
        dal.UpdateKunde(kd);
        dal.CloseConnection();
    }

    public void KundeLoeschen(string kcode)
    {
        CKundenDAL dal = new CKundenDAL();
        dal.OpenConnection(connStr);
        dal.DeleteKunde(kcode);
        dal.CloseConnection();
    }
}
