﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.ServiceModel;
using DayOfWeekServiceLib;

namespace DayOfWeekServiceHost
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("******** Mein konsolenbasierter WCF-Host ********");

            using (ServiceHost servHost = new ServiceHost(typeof(DayOfWeekService)))
            {
                servHost.Open();   // Host öffnen und auf hereinkommenden Nachrichten warten
                Console.WriteLine();

                // ABC-Informationen ausgeben:
                Console.WriteLine("***** Host Info *****");
                foreach (System.ServiceModel.Description.ServiceEndpoint se in servHost.Description.Endpoints)
                {
                    Console.WriteLine("Adresse: {0}", se.Address);
                    Console.WriteLine("Bindung: {0}", se.Binding.Name);
                    Console.WriteLine("Vertrag: {0}", se.Contract.Name);
                    Console.WriteLine();
                }
                Console.WriteLine("****************************");

                Console.WriteLine("Der Service ist bereit ...");
                Console.WriteLine("Drücken Sie die Enter-Taste um den Service zu beenden!");
                Console.ReadLine();
            }
        }
    }
}
