﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

using System.Data.Services.Client;
using System.Collections.ObjectModel;
using System.Collections.Specialized;


namespace Daten
{
    public partial class MainPage : UserControl
    {

        ServiceReference1.NorthwindEntities svcContext;

        public MainPage()
        {
            InitializeComponent();
        }

        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            svcContext = new ServiceReference1.NorthwindEntities(new Uri("WcfDataService1.svc", UriKind.Relative));
//            DataServiceQuery<ServiceReference1.Products> query = (DataServiceQuery<ServiceReference1.Products>) svcContext.Products.Where(p => p.ProductName.StartsWith("A"));
            DataServiceQuery<ServiceReference1.Products> query = (DataServiceQuery<ServiceReference1.Products>)svcContext.Products;
            MessageBox.Show(query.RequestUri.ToString());
            query.BeginExecute( new AsyncCallback(r =>
                {
                    dataGrid1.ItemsSource = query.EndExecute(r).ToList();
                }), null);

        }

        private void dataGrid1_RowEditEnded(object sender, DataGridRowEditEndedEventArgs e)
        {
            //ServiceReference1.Products p =  (dataGrid1.ItemsSource as List<ServiceReference1.Products>)[e.Row.GetIndex()];
            ServiceReference1.Products p = (dataGrid1.SelectedItem as ServiceReference1.Products);
            svcContext.UpdateObject(p);
            svcContext.BeginSaveChanges(new AsyncCallback(r =>
                {
                    MessageBox.Show("Änderungen gesichert!"); 
                }), true);
        }

        private void dataGrid1_RowEditEnding(object sender, DataGridRowEditEndingEventArgs e)
        {
        }

    }
}
