﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Anmeldung : MyUserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.Kopfzeile = "Anmeldung";
        if (Request.Cookies["Username"] != null)
            txtUsername.Text = Request.Cookies["Username"].Value;
    }

    protected void Button6_Click(object sender, EventArgs e)
    {
        dbShopDataContext db = new dbShopDataContext();
        var user = db.CurrentUser(txtUsername.Text, txtPasswort.Text).FirstOrDefault();  // email und passwort
        if (user != null)
        {
            Session["User"] = user.Id;
            Session["Admin"] = user.IsAdmin;
            lblMeldung.Visible = false;
            HttpCookie cookie = new HttpCookie("UserName", txtUsername.Text);
            cookie.Expires = DateTime.Now.AddDays(30); // 30 Tage gültig
            Response.Cookies.Add(cookie);
        }
        else
            lblMeldung.Visible = true;

        if ((int)Session["User"] != 0)  // erfolgreiche Anmeldung
          this.GotoPage("Bestellung");
    }

    protected void Button7_Click(object sender, EventArgs e)
    {
        this.GotoPage("NeuerKunde");
    }
}
