﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Bestellung : MyUserControl
{
    dbShopDataContext db = new dbShopDataContext();

    protected void Page_Load(object sender, EventArgs e)
    {
        this.Kopfzeile = "Bestellung";
    }

    protected void Wizard1_ActiveStepChanged(object sender, EventArgs e)
    {
        if ((Wizard1.ActiveStepIndex == 3) & (!cbAGB.Checked))
            Wizard1.ActiveStepIndex = 2;
    }
    protected void Wizard1_FinishButtonClick(object sender, WizardNavigationEventArgs e)
    {
        // Neue Bestellung erzeugen
        int BestellID = db.BestellungNeu((int)Session["User"], 
                                          ddlZahlungsweise.SelectedIndex, 
                                          txtName.Text, txtVorname.Text, 
                                          txtStrasse.Text + ' ' + txtStrasseNr.Text, 
                                          txtPLZ.Text + ' ' + txtOrt.Text);

        //Warenkorb übermitteln
        dtWarenkorb = (DataTable)Session["Warenkorb"];
        foreach (DataRow row in dtWarenkorb.Rows)
            db.BestellsDetailsNeu(BestellID, (Int16)row["Id"], (Int16)row["Anzahl"]);
        // Hinweis: Im SQL Server 2008 dürfte die Übergabe der DataTable der eleganteste Weg sein 
 
        this.GotoPage("Danke");
        // Versandmail schicken
    }

    protected void Wizard1_Load(object sender, EventArgs e)
    {
        if (!Wizard1.Enabled)  // Beim ersten Aufruf weren die Daten aus der DB abgerufen
        {
            var nutzer = db.Nutzer.Where(n => n.Id == (int)Session["User"]).FirstOrDefault();
            txtName.Text = nutzer.Name;
            txtVorname.Text = nutzer.Vorname;
            txtStrasse.Text = nutzer.Strasse;
            txtStrasseNr.Text = nutzer.StrasseNr;
            txtPLZ.Text = nutzer.PLZ;
            txtOrt.Text = nutzer.Ort;
            Wizard1.ActiveStepIndex = 0;       // Adresse
            Wizard1.Enabled = true;            
        }
    }
}
