﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Collections;     // wegen ArrayList!

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public class CAuto
        {
            public string Typ;
            public int Baujahr;
            public decimal Preis;
        }

        ArrayList autoListe = new ArrayList(5); 

        public Form1()
        {
            InitializeComponent();
            // Erzeugen der Objekte (mittels Objektinitialisierer!) und Hinzufügen zur ArrayList:
            autoListe.Add(new CAuto { Typ = "Ford", Baujahr = 2005, Preis = 12000m });
             autoListe.Add(new CAuto { Typ = "Opel", Baujahr = 2007, Preis = 17500m });
             autoListe.Add(new CAuto { Typ = "Mazda", Baujahr = 2006, Preis = 9600m });
             autoListe.Add(new CAuto { Typ = "Opel", Baujahr = 2005, Preis = 7200m });
             autoListe.Add(new CAuto { Typ = "Ford", Baujahr = 2008, Preis = 21700m });
        }

        // Variante mit Cast-Operator:
        private void button1_Click(object sender, EventArgs e)
        {
            var Abfrage =
              from auto in autoListe.Cast<CAuto>()
              where auto.Preis > 10000
              select new { auto.Typ, auto.Preis, auto.Baujahr };
            dataGridView1.DataSource = Abfrage.ToList();
        }

        // Variante mit Typisierung:
        private void button2_Click(object sender, EventArgs e)
        {
            var Abfrage =
               from CAuto auto in autoListe
               where auto.Preis > 10000
               select new { auto.Typ, auto.Preis, auto.Baujahr };
            dataGridView1.DataSource = Abfrage.ToList();
        }

        // Variante mit OfType:
        private void button3_Click(object sender, EventArgs e)
        {
            var Abfrage =
             from auto in autoListe.OfType<CAuto>()
             where auto.Preis > 10000
             select new { auto.Typ, auto.Preis, auto.Baujahr };
            dataGridView1.DataSource = Abfrage.ToList();
        }

       

        
        
    }
}
