using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DataViewSearch_Demo
{
    using System.Data.OleDb;

    public partial class Form1 : Form
    {
        private DataView dv = null;    

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            OleDbConnection conn = new OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0; Data Source=Nordwind.mdb;");
          	OleDbCommand cmd = new OleDbCommand("SELECT * FROM Kunden", conn);
          	OleDbDataAdapter da = new OleDbDataAdapter(cmd);
          	DataTable dt = new DataTable("Kundenliste");
          	conn.Open();
          	da.Fill(dt);
          	conn.Close();
            dv = new DataView(dt);           // oder dv = dt.DefaultView;
          	// Die bertragung der Spaltenbezeichner in die ComboBox:
	        foreach (DataColumn c in dt.Columns)
	        {
		        comboBox1.Items.Add(c.ColumnName);
	        }
          	comboBox1.SelectedIndex = 1;       	// Spalte "Firma" anzeigen
          	textBox1.Text = "L";          	    // Default-Suchbegriff
            dataGridView1.DataSource = dv;	
        }
        
        private void textBox1_KeyUp(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Enter)
            {
                 dv.Sort = comboBox1.Text;            
                 dv.RowFilter = dv.Sort + " LIKE '" + textBox1.Text + "%'";
            }
        }
      
    }
 }
