using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DataTable_Test
{
    using System.Data.OleDb;

    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string SQL = "SELECT * FROM Personal";
            OleDbConnection conn = new OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0; Data Source = Nordwind.mdb;");
            OleDbDataAdapter da = new OleDbDataAdapter(SQL, conn);
            DataTable dt = new DataTable("Personal");
            da.Fill(dt);
           
            
            DataColumn col1 = dt.Columns["PersonalNr"];
            col1.AllowDBNull = false;
            col1.Unique = true;
            col1.AutoIncrement = true;
            col1.AutoIncrementSeed = 1;

            // Primrschlssel zuweisen:
            dt.PrimaryKey = new DataColumn[] { dt.Columns["PersonalNr"] };
            
            // neue berechnete Spalte hinzufgen:
            DataColumn col2 = new DataColumn("Name", typeof(System.String));
            col2.Expression = "Vorname +  '  ' + Nachname";
            dt.Columns.Add(col2);

            dataGridView1.DataSource = dt;

            //DataColumn[] myKey = new DataColumn[2];
            //myKey[0] = dt.Columns["Vorname"];
            //myKey[2] = dt.Columns["Nachname"];

            string s1 = dt.Rows[2][1].ToString();
            MessageBox.Show(s1);

            string s2 = dt.Rows[2]["Nachname"].ToString();
            MessageBox.Show(s2);

            //string s2 = dt.Columns[1][2].ToString();
        }
    }
}