﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Beispiel_GridView.aspx.cs" Inherits="Beispiel_GridView" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Unbenannte Seite</title>
</head>
<body>
    <form id="form1" runat="server">
    <div><span></span><strong><span style="font-size: 16pt">Spaltensumme, Formatierungen per
            RowDataBound<br />
        </span></strong>
        <br />
        <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" DataKeyNames="ArtikelNr"
            DataSourceID="SqlDataSource1" OnRowDataBound="GridView1_RowDataBound" ShowFooter="True" AllowPaging="True" PageSize="5">
            <Columns>
                <asp:BoundField DataField="ArtikelNr" HeaderText="ArtikelNr" InsertVisible="False"
                    ReadOnly="True" SortExpression="ArtikelNr" />
                <asp:BoundField DataField="Artikelname" HeaderText="Artikelname" SortExpression="Artikelname" />
                <asp:BoundField DataField="LieferantenNr" HeaderText="LieferantenNr" SortExpression="LieferantenNr" />
                <asp:BoundField DataField="KategorieNr" HeaderText="KategorieNr" SortExpression="KategorieNr" />
                <asp:BoundField DataField="Liefereinheit" HeaderText="Liefereinheit" SortExpression="Liefereinheit" />
                <asp:BoundField DataField="Einzelpreis" HeaderText="Einzelpreis" SortExpression="Einzelpreis" />
                <asp:BoundField DataField="Lagerbestand" HeaderText="Lagerbestand" SortExpression="Lagerbestand" />
                <asp:BoundField DataField="BestellteEinheiten" HeaderText="BestellteEinheiten" SortExpression="BestellteEinheiten" />
                <asp:BoundField DataField="Mindestbestand" HeaderText="Mindestbestand" SortExpression="Mindestbestand" />
                <asp:CheckBoxField DataField="Auslaufartikel" HeaderText="Auslaufartikel" SortExpression="Auslaufartikel" />
            </Columns>
        </asp:GridView>
        &nbsp;</div>
        <br />
        <br />
        <strong><span style="font-size: 16pt">Detaildatenanzeige<br />
        </span></strong>
        <br />
        <asp:Panel ID="Panel1" runat="server" Height="212px" ScrollBars="Vertical" 
        Width="320px">
            <asp:GridView ID="GridView2" runat="server" AutoGenerateColumns="False" CellPadding="4"
                DataSourceID="SqlDataSource1" ForeColor="#333333" GridLines="None" OnRowDataBound="GridView2_RowDataBound">
                <FooterStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
                <Columns>
                    <asp:BoundField DataField="Artikelname" HeaderText="Artikelname" SortExpression="Artikelname" />
                    <asp:TemplateField ShowHeader="False">
                        <ItemTemplate>
                            <asp:Button ID="Button1" runat="server" CausesValidation="false" CommandName="" Text="Details" />
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
                <RowStyle BackColor="#FFFBD6" ForeColor="#333333" />
                <SelectedRowStyle BackColor="#FFCC66" Font-Bold="True" ForeColor="Navy" />
                <PagerStyle BackColor="#FFCC66" ForeColor="#333333" HorizontalAlign="Center" />
                <HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
                <AlternatingRowStyle BackColor="White" />
            </asp:GridView>
        </asp:Panel>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:mySQLServer %>"
            SelectCommand="SELECT Artikel.* FROM Artikel"></asp:SqlDataSource>
        <br />
        <br />
        <strong><span style="font-size: 16pt">Validator-Controls im GridView</span></strong><br />
        <br />
        <asp:SqlDataSource ID="SqlDataSource2" runat="server" ConnectionString="<%$ ConnectionStrings:mySQLServer %>"
            DeleteCommand="DELETE FROM [Mitarbeiter] WHERE [id] = @id" InsertCommand="INSERT INTO [Mitarbeiter] ([vorname], [nachname], [gehalt]) VALUES (@vorname, @nachname, @gehalt)"
            ProviderName="<%$ ConnectionStrings:mySQLServer.ProviderName %>" SelectCommand="SELECT [id], [vorname], [nachname], [gehalt] FROM [Mitarbeiter]"
            UpdateCommand="UPDATE [Mitarbeiter] SET [vorname] = @vorname, [nachname] = @nachname, [gehalt] = @gehalt WHERE [id] = @id">
            <InsertParameters>
                <asp:Parameter Name="vorname" Type="String" />
                <asp:Parameter Name="nachname" Type="String" />
                <asp:Parameter Name="gehalt" Type="Decimal" />
            </InsertParameters>
            <UpdateParameters>
                <asp:Parameter Name="vorname" Type="String" />
                <asp:Parameter Name="nachname" Type="String" />
                <asp:Parameter Name="gehalt" Type="Decimal" />
                <asp:Parameter Name="id" Type="Int32" />
            </UpdateParameters>
            <DeleteParameters>
                <asp:Parameter Name="id" Type="Int32" />
            </DeleteParameters>
        </asp:SqlDataSource>
        <asp:GridView ID="GridView3" runat="server" AutoGenerateColumns="False" CellPadding="4"
            DataKeyNames="id" DataSourceID="SqlDataSource2" EmptyDataText="Es sind keine Datensätze zum Anzeigen vorhanden."
            ForeColor="#333333" GridLines="None">
            <FooterStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
            <Columns>
                <asp:BoundField DataField="id" HeaderText="id" ReadOnly="True" SortExpression="id" />
                <asp:TemplateField HeaderText="vorname" SortExpression="vorname">
                    <EditItemTemplate>
                        <asp:TextBox ID="TextBox3" runat="server" Text='<%# Bind("vorname") %>'></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="TextBox3"
                            ErrorMessage="Bitte Vorname angeben">*</asp:RequiredFieldValidator>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label3" runat="server" Text='<%# Bind("vorname") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="nachname" SortExpression="nachname">
                    <EditItemTemplate>
                        <asp:TextBox ID="TextBox2" runat="server" Text='<%# Bind("nachname") %>'></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="TextBox2"
                            ErrorMessage="Geben Sie einen Namen an!">*</asp:RequiredFieldValidator>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label2" runat="server" Text='<%# Bind("nachname") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="gehalt" SortExpression="gehalt">
                    <EditItemTemplate>
                        <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("gehalt") %>'></asp:TextBox>
                        <asp:RangeValidator ID="RangeValidator1" runat="server" ControlToValidate="TextBox1"
                            ErrorMessage="Seien Sie nicht so geizig beim Gehalt!" MaximumValue="50000" MinimumValue="1000"
                            Type="Currency">*</asp:RangeValidator>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label1" runat="server" Text='<%# Bind("gehalt") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:CommandField ButtonType="Button" ShowEditButton="True" />
            </Columns>
            <RowStyle BackColor="#E3EAEB" />
            <EditRowStyle BackColor="#7C6F57" />
            <SelectedRowStyle BackColor="#C5BBAF" Font-Bold="True" ForeColor="#333333" />
            <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Center" />
            <HeaderStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
            <AlternatingRowStyle BackColor="White" />
        </asp:GridView>
        <br />
        <asp:ValidationSummary ID="ValidationSummary1" runat="server" />
        <br />
        <br />
        <br />
    </form>
</body>
</html>
