﻿using System;
using System.ComponentModel.DataAnnotations;
using System.Web.DynamicData;

namespace Dynamic_Data
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            System.Collections.IList visibleTables = Global.DefaultModel.VisibleTables;
            if (visibleTables.Count == 0)
            {
                throw new InvalidOperationException("Es sind keine Tabellen vorhanden, auf die zugegriffen werden kann. Stellen Sie sicher, dass in 'Global.asax' mindestens ein Datenmodell registriert und Gerüstbau aktiviert ist, oder implementieren Sie benutzerdefinierte Seiten.");
            }
            Menu1.DataSource = visibleTables;
            Menu1.DataBind();
        }

    }
}
