﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Data.OleDb;

using System.Windows.Forms.DataVisualization.Charting;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private string connStr = "PROVIDER=Microsoft.Jet.OLEDB.4.0;Data Source=ChartTest.mdb";
         
        private void button4_Click(object sender, EventArgs e)
        {
            string sql = "SELECT * FROM PKW_Verkauf_3";

            OleDbConnection conn = new OleDbConnection(connStr);
            OleDbCommand cmd = new OleDbCommand(sql, conn);
            OleDbDataAdapter da = new OleDbDataAdapter(cmd);
            DataSet ds = new DataSet();
            conn.Open();
            da.Fill(ds,"query1");
            conn.Close();
            DataTable dt = ds.Tables["query1"];

            foreach(DataRow row in dt.Rows)                                 // alle Verkäufer durchlaufen
            { 
                 // pro Verkäufer eine neue Serie hinzufügen:  
                 string serName = row["Verkäufer"].ToString();                   // jeder Verkäufer = eine Serie von Punkten = eine Linie
                 chart1.Series.Add(serName); 
                 chart1.Series[serName].ChartType = SeriesChartType.Line; 
                 chart1.Series[serName].BorderWidth = 5; 
                 for(int colNr = 1; colNr < dt.Columns.Count; colNr++)       // alle Jahr-Spalten durchlaufen
                 { 
                     // pro Jahres-Spalte den Y-Wert als Punkt hinzufügen:  
                     decimal YVal = (decimal) row[colNr];                // Y-Wert
                     string colName = dt.Columns[colNr].ColumnName;      // für X-Achse (Beschriftung!)
                     chart1.Series[serName].Points.AddXY(colName, YVal); 
                 } 
            } 
           dataGridView1.DataSource = ds; 
           dataGridView1.DataMember = "query1"; 
        }      


    }
}
