﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Data.OleDb;

using System.Windows.Forms.DataVisualization.Charting;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private string connStr = "PROVIDER=Microsoft.Jet.OLEDB.4.0;Data Source=ChartTest.mdb";
       
      

        // Points.DataBind-Methode:

        private void button6_Click(object sender, EventArgs e)
        {  
           string sql = "SELECT * FROM PKW_Verkauf_2 WHERE Jahr=2010";

           OleDbConnection conn = new OleDbConnection(connStr);
           OleDbCommand cmd = new OleDbCommand(sql, conn);
           cmd.Connection.Open();
           OleDbDataReader dr = cmd.ExecuteReader(CommandBehavior.CloseConnection);

           chart1.Series["Series1"].Points.DataBind( dr, "Name", "Verkaufssumme", "Tooltip=Jahr, Label=Provision{C}");
           
           dr.Close();
           conn.Close();
        }


        // Points.DataBindY-Methode (Var.1):

        private void button3_Click(object sender, EventArgs e)
        {
            string sql = "SELECT * FROM PKW_Verkauf_2";

            OleDbConnection conn = new OleDbConnection(connStr);
            OleDbCommand cmd = new OleDbCommand(sql, conn);
            cmd.Connection.Open();
            OleDbDataReader dr = cmd.ExecuteReader(CommandBehavior.CloseConnection);

            chart1.Series["Series1"].Points.DataBindY(dr, "Verkaufssumme");
        }

        // Points.DataBindY-Methode (Var.2):

        private void button7_Click(object sender, EventArgs e)
        {
            // Array initialisieren 
            double[] sArr = { 2, 4, 6, 8, 3, 5, 7, 9, 19 };

            // Array an die Punkte der Y-Achse der Datenserie binden
            chart1.Series["Series1"].Points.DataBindY(sArr);            
        }
        

        // Points.DataBindXY-Methode (Var.1):

        private void button2_Click(object sender, EventArgs e)
        {
             string sql = "SELECT Name, Provision FROM PKW_Verkauf_2 WHERE Jahr = 2010";

            OleDbConnection conn = new OleDbConnection(connStr);
            OleDbCommand cmd = new OleDbCommand(sql, conn);
            cmd.Connection.Open();
            OleDbDataReader dr = cmd.ExecuteReader(CommandBehavior.CloseConnection);

            chart1.Series[0].Points.DataBindXY(dr, "Name", dr, "Provision");

            dr.Close();
            conn.Close();
        }

        // Points.DataBindXY-Methode (Var.2):

        private void button1_Click(object sender, EventArgs e)
        {
            // Array für X-Werte initialisieren: 
            string[] xval = { "Maxhelm", "Siegbast", "Tobalt", "Friedhelm", "Susanne" };
            
            // Array für Y-Werte initialisieren:
            double[] yval = { 1, 6, 4, 5.35, 8 };
            
            // Anbinden des Y-Arrays an die Punkte der Y-Achse der Standard-Datenserie 
            chart1.Series[0].Points.DataBindXY(xval, yval);           

        }      
        
    }
}
