using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SpesenDemo
{
    using Microsoft.Reporting.WinForms;
    using FreiberDataSetTableAdapters;
    using System.Reflection;
    using System.Security.Permissions;  

    public partial class Form1 : Form
    {
        FreiberDataSet fbDS = new FreiberDataSet();

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // DataSet aus Datenbank befllen:
            ReisenTableAdapter rta = new ReisenTableAdapter();
            rta.Fill(fbDS.Reisen);

            // ReportViewer mit Datenquelle verbinden:
            reportViewer1.LocalReport.DataSources.Add(new ReportDataSource("FreiberDataSet_Reisen", (System.Data.DataTable) fbDS.Reisen));

            // ReportViewer mit Report verbinden:
           // reportViewer1.LocalReport.ReportEmbeddedResource = "SpesenDemo.Reisen.rdlc";  
            reportViewer1.LocalReport.ReportPath = "Reisen.rdlc";


            Assembly asm = Assembly.Load("spesen, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null");
            AssemblyName asm_name = asm.GetName();
            reportViewer1.LocalReport.AddFullTrustModuleInSandboxAppDomain(new System.Security.Policy.StrongName(new StrongNamePublicKeyBlob(asm_name.GetPublicKeyToken()), asm_name.Name, asm_name.Version));
            this.reportViewer1.RefreshReport();
        }

        private void reportViewer1_Load(object sender, EventArgs e)
        {

        }


    }
}