﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Beispiele
{
    public partial class Rechnungsdruck : Form
    {
        Daten2 myFirma = new Daten2();
        RechnungV2 rp = new RechnungV2();
        Daten2TableAdapters.RechnungsAbfrageTableAdapter taRech;
        Daten2TableAdapters.BestellungenTableAdapter taBestellungen;
        
        public Rechnungsdruck()
        {
            InitializeComponent();
        }


        private void Rechnungsdruck_Load(object sender, EventArgs e)
        {
            taRech = new Beispiele.Daten2TableAdapters.RechnungsAbfrageTableAdapter();
            taBestellungen = new Beispiele.Daten2TableAdapters.BestellungenTableAdapter();
            taBestellungen.Fill(myFirma.Bestellungen);
            toolStripComboBox1.ComboBox.DataSource = myFirma.Bestellungen;
            toolStripComboBox1.ComboBox.DisplayMember = "Bestellnr";
            taRech.Fill(myFirma.RechnungsAbfrage, (Int32)(toolStripComboBox1.SelectedItem as DataRowView).Row[0]);
            rp.SetDataSource(myFirma);
            crystalReportViewer1.ReportSource = rp;
        }


        private void toolStripComboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            taRech.Fill(myFirma.RechnungsAbfrage, (Int32) (toolStripComboBox1.SelectedItem as DataRowView).Row[0]);
            crystalReportViewer1.RefreshReport();
        }
    }
}