using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace BatchQueries
{
    using System.Data.OleDb;

    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private DataSet ds = null;

        private void Form1_Load(object sender, EventArgs e)
        {
            OleDbConnection conn = new OleDbConnection();
	        conn.ConnectionString = 
        "Provider=SQLOLEDB.1; Data Source=.\\SQLEXPRESS; Database=Northwind; Integrated Security=SSPI";
// Die Batch-Abfrage kapselt zwei SELECT-Anweisungen in einem einzigen String:
           string sqlBatch = "SELECT CustomerID, CompanyName, ContactName, ContactTitle FROM Customers " +
     		                 "WHERE CustomerID = 'ALFKI'; " +
                             "SELECT OrderID, OrderDate, RequiredDate, ShippedDate, Freight FROM Orders "+
		                     "WHERE CustomerID = 'ALFKI'";
           OleDbCommand cmd = new OleDbCommand(sqlBatch, conn);
           cmd.UpdatedRowSource = UpdateRowSource.None;
           OleDbDataAdapter da = new OleDbDataAdapter(cmd);        
// Tabellen generieren:
	       da.TableMappings.Add("Table", "Customers");
	       da.TableMappings.Add("Table1", "Orders");

	       ds = new DataSet();
	       try
	       {
		         da.Fill(ds);
	       }
        catch(Exception ex)
	       {
		         MessageBox.Show(ex.Message);
	       }
           dataGridView1.DataSource = ds;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            dataGridView1.DataMember = "Customers";
        }

        private void button2_Click(object sender, EventArgs e)
        {
            dataGridView1.DataMember = "Orders";
        }


    }
}