﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.IO;

namespace LINQ_2_SQL
{
    public partial class Form1 : Form
    {
        TestDB.Northwind db = new TestDB.Northwind(@"Data Source=|DataDirectory|\Northwind.sdf");

        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            var cust = db.Customers;
            dataGridView1.DataSource = cust;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            var cust = db.Customers.Where(c => c.CompanyName.StartsWith("B"));
            dataGridView1.DataSource = cust;
        }

        private void button3_Click(object sender, EventArgs e)
        {
            TestDB.Northwind dbNeu = new TestDB.Northwind(@"Data Source=|DataDirectory|\NorthwindNeu.sdf");
            if (!File.Exists(dbNeu.Connection.Database))
            {
                dbNeu.CreateDatabase();
                MessageBox.Show("Datenbank NorthwindNeu erstellt!");
            }
            var cust = dbNeu.Customers;
            dataGridView1.DataSource = cust;
        }
    }
}
