﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Data.SQLite;

namespace InMemory
{
    public partial class Form1 : Form
    {
        SQLiteConnection conn;
        DataSet ds;
        SQLiteDataAdapter da;

        public Form1()
        {
            InitializeComponent();
        }

        private void button8_Click(object sender, EventArgs e)
        {
            conn = new SQLiteConnection("Data Source=:memory:");
            conn.Open();
            SQLiteCommand cmd = conn.CreateCommand();
            cmd.CommandText = "CREATE TABLE IF NOT EXISTS kunden (" +
                              "     Id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT," +
                              "     Vorname VARCHAR(50) NOT NULL," +
                              "     Nachname VARCHAR(50) NOT NULL," +
                              "     Telefon VARCHAR(50)" +
                              " );";
            cmd.ExecuteNonQuery();
            da = new SQLiteDataAdapter("SELECT * FROM kunden", conn);
            da.MissingSchemaAction = MissingSchemaAction.AddWithKey;
            ds = new DataSet();
            da.Fill(ds, "Kunden");
            dataGridView1.DataSource = ds;
            dataGridView1.DataMember = "Kunden";
        }

        private void button9_Click(object sender, EventArgs e)
        {
            SQLiteCommandBuilder cb = new SQLiteCommandBuilder(da);
            da.Update(ds, "Kunden");
        }

        private void button1_Click(object sender, EventArgs e)
        {
            SQLiteCommand cmd = conn.CreateCommand();
            da = new SQLiteDataAdapter("SELECT nachname FROM kunden", conn);
            ds = new DataSet();
            da.Fill(ds, "Kunden");
            dataGridView1.DataSource = ds;
            dataGridView1.DataMember = "Kunden";
        }
    }
}
