﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Data.SQLite;
using System.IO;

namespace Start
{
    public partial class Form1 : Form
    {
        SQLiteConnection conn;
        DataSet ds;
        SQLiteDataAdapter da;

        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (File.Exists(AppDomain.CurrentDomain.BaseDirectory + "test.db3")) File.Delete(AppDomain.CurrentDomain.BaseDirectory + "test.db3");
            SQLiteConnection.CreateFile(AppDomain.CurrentDomain.BaseDirectory + "test.db3");
            conn = new SQLiteConnection("Data Source=" + AppDomain.CurrentDomain.BaseDirectory + "test.db3");
            conn.Open();
            SQLiteCommand cmd = conn.CreateCommand();
            cmd.CommandText = "CREATE VIRTUAL TABLE EMails USING FTS3(Betreff, Body);";
            cmd.ExecuteNonQuery();

            cmd.CommandText = "INSERT INTO EMails (Betreff, Body) values (@betreff, @body);";
            cmd.Parameters.Add("@betreff", DbType.AnsiString);
            cmd.Parameters.Add("@body", DbType.AnsiString);

            cmd.Parameters["@betreff"].Value = "Buch fertig";
            cmd.Parameters["@body"].Value = "Nach ja, es sind noch zwei Wochen!";
            cmd.ExecuteNonQuery();

            cmd.Parameters["@betreff"].Value = "Rechung schreiben";
            cmd.Parameters["@body"].Value = "Sehr geehrte Damen und Herrn, wie Sie vielleicht befürchtet haben ...";
            cmd.ExecuteNonQuery();

            cmd.Parameters["@betreff"].Value = "Zwei Tage Zeit";
            cmd.Parameters["@body"].Value = "Bis Mittwoch sollten Sie fertig sein!";
            cmd.ExecuteNonQuery();

            da = new SQLiteDataAdapter("SELECT * FROM emails", conn);
            ds = new DataSet();
            da.Fill(ds, "emails");
            dataGridView1.DataSource = ds;
            dataGridView1.DataMember = "emails";
            conn.Close();
        }

        private void button5_Click(object sender, EventArgs e)
        {
        }

        private void button2_Click(object sender, EventArgs e)
        {
            conn = new SQLiteConnection("Data Source=" + AppDomain.CurrentDomain.BaseDirectory + "test.db3");
            conn.Open();

            try
            {
                da = new SQLiteDataAdapter(textBox1.Text, conn);
                ds = new DataSet();
                da.Fill(ds, "emails");
                dataGridView2.DataSource = ds;
                dataGridView2.DataMember = "emails";

            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
            conn.Close();
        }

    }
}
