﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using System.Data.Services.Client;

namespace WPF_Client
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private NWService.NorthwindEntities svc;
        private DataServiceCollection<NWService.Products> myprod;

        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
        }

        private void Laden_Click(object sender, RoutedEventArgs e)
        {
            svc = new NWService.NorthwindEntities(new Uri("http://localhost:58430/NWService.svc/"));
            myprod = new DataServiceCollection<NWService.Products>(svc.Products);
            DataGrid1.DataContext = myprod;
        }

        private void Sichern_Click(object sender, RoutedEventArgs e)
        {
            svc.SaveChanges();
        }
    }
}
