﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;


using System.Data.Services.Client;

namespace WinForm_Client
{
    public partial class Form1 : Form
    {

        private NWService.NorthwindEntities svc;
        private DataServiceCollection<NWService.Products> myprod;


        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            svc = new NWService.NorthwindEntities(new Uri("http://localhost:58430/NWService.svc/"));
            var query = svc.Products;
            dataGridView1.DataSource = query.ToList();

        }

        private void button3_Click(object sender, EventArgs e)
        {
            svc.SaveChanges();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            svc = new NWService.NorthwindEntities(new Uri("http://localhost:58430/NWService.svc/"));
            myprod = new DataServiceCollection<NWService.Products>(svc.Products);
            
            dataGridView1.DataSource = myprod;
        }

        private void button4_Click(object sender, EventArgs e)
        {
            NWService.Products p = NWService.Products.CreateProducts(0, "Hühnerbeine", false);
            p.QuantityPerUnit = "Säcke";
            p.UnitPrice = 5.2M;
            svc.AddToProducts(p);
        }

        private void button5_Click(object sender, EventArgs e)
        {
            myprod.Add(NWService.Products.CreateProducts(0, "Elefantenrüssel", false));
        }

        private void button6_Click(object sender, EventArgs e)
        {
            // Variante 1 Singleton:
            svc = new NWService.NorthwindEntities(new Uri("http://localhost:58430/NWService.svc/"));
            Uri uri = new Uri(String.Format("ServiceOperation1?param1='{0}'", "555"), UriKind.Relative);
            int i = svc.Execute<int>(uri).FirstOrDefault();
            MessageBox.Show("Ergebnis = " + i.ToString());

        }

        private void button7_Click(object sender, EventArgs e)
        {
            // Variante 2 Collection:
            svc = new NWService.NorthwindEntities(new Uri("http://localhost:58430/NWService.svc/"));
            var query = svc.CreateQuery<NWService.Products>("ServiceOperation2").AddQueryOption("anz", 20);
            dataGridView1.DataSource = query.ToList(); 
        }
    }
}
