﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

using System.Drawing;
using System.Reflection;

/// <summary>
/// Zusammenfassungsbeschreibung für MyUserControl
/// </summary>
public class MyUserControl : UserControl
{
    protected TreeView _FormTree;
    protected DataTable dtWarenkorb;
    protected Label _Label;

    public String Kopfzeile
    {
        set { _Label.Text = "&nbsp;" + value; }
    }

    public TreeView FormTree
    {
        get { return _FormTree; }
        set { _FormTree = value; }
    }

    public DataTable Warenkorb
    {
        get { return dtWarenkorb; }
        set { dtWarenkorb = value; }
    }

    protected void GotoPage(string name)
    {
        MethodInfo mi = this.Page.GetType().GetMethod("GotoPage", BindingFlags.Public | BindingFlags.Instance);
        mi.Invoke(this.Page, new Object[] { name });
    }

    protected override void OnLoad(EventArgs e)
    {
        base.OnLoad(e);
    }

	public MyUserControl()
	{
        _Label = new Label();
        _Label.Font.Size = 16;
        _Label.Font.Bold = true;
        _Label.ForeColor = Color.White;
        _Label.BackColor = Color.FromArgb(99, 66, 33);
        _Label.Width = Unit.Parse("100%");
        this.Controls.Add(_Label);
    }
}
