﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Shop : MyUserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.Kopfzeile = "Kategorie " + _FormTree.SelectedNode.Text;
    }

    protected void GridView1_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        dbShopDataContext ctx = new dbShopDataContext();
        if (e.CommandName == "Kaufen")
        {
            dtWarenkorb = (DataTable)Session["Warenkorb"];
            Int32 index = Convert.ToInt32(GridView1.DataKeys[Convert.ToInt32(e.CommandArgument)].Value);
            DataRow row = dtWarenkorb.NewRow();
            var artikel = ctx.BruttoPreisArtikel(index).First();
            row["Id"] = artikel.Id;
            row["Name"] = artikel.Titel;
            row["EPreis"] = artikel.Brutto;
            row["GPreis"] = artikel.Brutto;
            row["MWSt"] = artikel.Steuersatz;
            row["Anzahl"] = 1;
            dtWarenkorb.Rows.Add(row);
            Session.Add("Warenkorb", dtWarenkorb);
            _FormTree.Nodes[2].Text = "Warenkorb [" + dtWarenkorb.Rows.Count.ToString() + "]";
        }
        if (e.CommandName == "Details")
           Session.Add("ArtikelId", Convert.ToInt32(GridView1.DataKeys[Convert.ToInt32(e.CommandArgument)].Value));
    }
    protected void LinqDataSource1_Selecting(object sender, LinqDataSourceSelectEventArgs e)
    {


    }
}
